.\"Manual pages for FreeBSD generic NCR-5380/NCR-53C400 SCSI driver.
.\"
.\"Copyright 1994, Serge Vakulenko (vak@cronyx.ru)
.\"
.\"Redistribution and use of this document, with or without
.\"modification, are permitted provided redistributions must retain
.\"the above copyright notice and this condition.
.\"
.\" $FreeBSD: src/share/man/man4/man4.i386/nca.4,v 1.2.2.2 1999/09/05 11:27:02 peter Exp $
.Dd January 9, 1995
.Dt NCA 4 i386
.Os FreeBSD
.Sh NAME
.Nm nca
.Nd
Generic NCR-5380/NCR-53C400 SCSI adapter driver
.Sh SYNOPSIS
Trantor 130, with IRQ:
.Cd "controller nca0 at isa? port 0x350 bio irq 5 vector ncaintr
.Pp
Trantor 130, without IRQ:
.Cd "controller nca0 at isa? port 0x350
.Pp
ProAudioSpectrum-16, with IRQ:
.Cd "controller nca0 at isa? port 0x1f88 bio irq 5 vector ncaintr
.Cd "controller nca1 at isa? port 0x1f84 bio irq 5 vector ncaintr
.Cd "controller nca2 at isa? port 0x1f8c bio irq 5 vector ncaintr
.Cd "controller nca3 at isa? port 0x1e88 bio irq 5 vector ncaintr
.Pp
ProAudioSpectrum-16, without IRQ:
.Cd "controller nca0 at isa? port 0x1f88
.Cd "controller nca1 at isa? port 0x1f84
.Cd "controller nca2 at isa? port 0x1f8c
.Cd "controller nca3 at isa? port 0x1e88
.Sh DESCRIPTION
This driver provides access to SCSI devices connected to
NCR-5380/NCR-53C400 SCSI adapter.
.Pp
It's possible to use the adapter without IRQ line.
The data rate then slightly decreases (by 20-30%).
.Pp
The \fBflags\fP keyword in the configuration file can be used to set
some adapter driver parameters:
.Pp
Bits    Description
.br
------------------------------------------
.br
0x01    Disable SCSI bus parity check.
.Pp
Tested on the following hardware:
.br
  Adapter: Trantor T130
  Adapter: ProAudioSpectrum16
.br
 Streamer: Archive Viper 150
.br
   CD-ROM: NEC CDR-25
   CD-ROM: PLEXTOR CD-ROM PX-4XCH
.Sh FILES
.Bl -tag -width Pa -compact
.It Pa /sys/i386/isa/ncr5380.c
.It Pa /sys/i386/isa/ic/ncr5380.h
.It Pa /sys/i386/isa/ic/ncr53400.h
driver source
.El
.Sh SEE ALSO
.Xr cd 4 ,
.Xr scsi 4 ,
.Xr sd 4 ,
.Xr st 4
